Subject: RE: [Hubmib] draft-ietf-hubmib-efm-epon-mib-03.txt almost ready to go

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Mon, 27 Jun 2005 09:28:17 +0300

Thanks for the advice, Mike. 

Taking this into account, I believe that the EFM MIB and the EPON MIB
are OK to be shipped to the IESG, and I will fill in the necessary
recommendations. The boilerplate and formatting problems are tolerable
in my opinion, taking into account that the documents were issued before
May 2005 when the latest IPR RFCs were issued. 

The EFM Cu and new MAU MIB are still in works and will need another
round of editing and WGLC.

Dan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of C. M. Heard
> Sent: Thursday, June 23, 2005 11:56 PM
> To: Hub MIB
> Subject: Re: [Hubmib] draft-ietf-hubmib-efm-epon-mib-03.txt 
> almost ready to go
> 
> On Thu, 23 Jun 2005, Dan Romascanu wrote:
> >    draft-ietf-hubmib-efm-epon-mib-03.txt is almost ready to 
> go. There are
> >    several objects with a length exceeding 32 characters 
> that lead to
> >    smilit complaining:
> 
> According to section 4.2 of the MIB review guidelines (see
> http://www.ietf.org/internet-drafts/draft-ietf-ops-mib-review-
> guidelines-04.txt)
> this is not something that needs to be corrected.
> 
> >    smilint -m -s -e -m -s -l 6 -I namelength-32 epon-mib-03.txt
> __________________________________^
> 
> That should be a lower-case 'i' (in which case the directive 
> will mean "ignore names over 32 characters").  When I do that 
> (and put in fake mib-2 numbers in place of XXX) I get this 
> from the smilint e-mail robot:
> 
> smilint -m -s -e -l 6 -i namelength-32 EPON-DEVICE-MIB
> 
> no errors found.
> 
> smilint -m -s -e -l 6 -i namelength-32 DOT3-EFM-EPON-MIB
> 
> no errors found.
> 
> So, I don't think there are any purely SMI issues to worry about.
> For sure it's not necessary to shorten the names. 
> 
> >    Also, idnits complains about the boilerplate not being 
> update - no
> >    wonder taking into account that RFC 3978 and 3979 started to be
> >    applied after the Internet-Draft was published:
> >    
> ... details snipped ...
> > 
> > I would kindly request the document editor to publish an 
> updated draft 
> > to fix t hese editorial issues before I submit the I-D to 
> the IESG. I 
> > do not believe tha t these changes would require a new WGLC, unless 
> > somebody feels strongly otherwise.
> 
> I agree with the above.
> 
> Mike Heard
> 
> 
> _______________________________________________
> Hubmib mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/hubmib
> 

_______________________________________________
Hubmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hubmib